Security Enhanced Linux Reference Policy

# Layer: admin

## Module: shutdown

Tunables Interfaces Templates

### Description:

System shutdown command.

### Tunables:

shutdown_allow_user_exec_domains

##### Default value

false

##### Description

Determine whether the user application exec domain attribute should be respected for shutdown access. If not enabled, only user domains themselves may use shutdown.

Return

### Interfaces:

shutdown_domtrans( domain )

##### Summary

Execute a domain transition to run shutdown.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

shutdown_getattr_exec_files( domain )

##### Summary

Get attributes of shutdown executable files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

shutdown_run( domain , role )

##### Summary

Execute shutdown in the shutdown domain, and allow the specified role the shutdown domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

shutdown_sigchld( domain )

##### Summary

Send SIGCHLD signals to shutdown.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

shutdown_signal( domain )

##### Summary

Send generic signals to shutdown.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

shutdown_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for shutdown.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return